Bug 90020 - UI: Bottom of Context Menu sometimes hidden behind taskbar
Summary: UI: Bottom of Context Menu sometimes hidden behind taskbar
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.1.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Context-Menu UX
  Show dependency treegraph
 
Reported: 2015-03-15 16:27 UTC by Gordo
Modified: 2021-05-04 03:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
image of context menu (206.30 KB, image/png)
2015-03-15 16:27 UTC, Gordo
Details
image of context menu (17.74 KB, image/png)
2015-03-19 14:34 UTC, Gordo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gordo 2015-03-15 16:27:03 UTC
Created attachment 114107 [details]
image of context menu

Sometimes the bottom of the Context Menu is hidden behind the OS taskbar.  It happens right at the point where, instead of the menu appearing above the mouse pointer, it continues to show it below.

1. New Text Document.
2. Maximize window.
3. Place the mouse more than half way down the screen on the document, but not too far down that the menu will appear above the mouse.
4. Right click.
5. If menu appears below mouse then move mouse slightly down on screen and repeat step 4.
Result:
Eventually the bottom of the context menu is behind the taskbar.

Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Comment 1 Gordo 2015-03-19 14:34:21 UTC
Created attachment 114191 [details]
image of context menu
Comment 2 Buovjaga 2015-03-21 16:49:27 UTC
Could not repro with Win 7 and an unstyled task bar (Classic shell).

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 3 Andreas B. 2015-09-22 18:22:45 UTC
Confirmed.

I was working today with LibreOffice 5 on Windows 7 and had exactly the same Issue.
My window was not maximized.

I may have an idea what's the problem:
I have two different screens, and the LibreOffice window was on the smaller screen.
As shown on the first Screenshot of Gordo, he also has two screens, and he also has open the LibreOffice Window on the smaller screen.

LibreOffice may use the the height of the whole Desktop instead of using the height of the current monitor where the menu is displayed?
Comment 4 QA Administrators 2016-11-08 10:36:22 UTC Comment hidden (obsolete)
Comment 5 Thomas Lendo 2019-05-04 21:53:56 UTC
I confirm this issue with LibreOffice 6.0 and Windows 10.
Comment 6 QA Administrators 2021-05-04 03:46:13 UTC
Dear Gordo,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug